Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
sip_state Struct Reference

`#include <siphash.h>`

## Data Fields
int | c
int | d
uint64_t | v [4]
uint8_t | buf [sizeof(uint64_t)]
uint8_t | buflen
uint8_t | msglen_byte

## Detailed Description

Definition at line 20 of file siphash.h.

## Field Documentation

## ◆ buf

uint8_t sip_state::buf[sizeof(uint64_t)]

Definition at line 24 of file siphash.h.

## ◆ buflen

uint8_t sip_state::buflen

Definition at line 25 of file siphash.h.

## ◆ c

int sip_state::c

Definition at line 21 of file siphash.h.

## ◆ d

int sip_state::d

Definition at line 22 of file siphash.h.

## ◆ msglen_byte

uint8_t sip_state::msglen_byte

Definition at line 26 of file siphash.h.

## ◆ v

uint64_t sip_state::v[4]

Definition at line 23 of file siphash.h.

The documentation for this struct was generated from the following file:

- siphash.h